| TagLib 1.13 |  |

Protected Member Functions | Friends | List of all members
TagLib::ID3v2::AttachedPictureFrameV22 Class Reference

support for ID3v2.2 PIC frames More...

`#include <attachedpictureframe.h>`

Inheritance diagram for TagLib::ID3v2::AttachedPictureFrameV22:
[legend]
Collaboration diagram for TagLib::ID3v2::AttachedPictureFrameV22:
[legend]

## Protected Member Functions
virtual void | parseFields (const ByteVector &data)
Protected Member Functions inherited from TagLib::ID3v2::AttachedPictureFrame
virtual void | parseFields (const ByteVector &data)
virtual ByteVector | renderFields () const
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
Header * | header () const
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
virtual void | parseFields (const ByteVector &data)=0
virtual ByteVector | renderFields () const =0
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=0)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
PropertyMap | asProperties () const

## Friends
class | FrameFactory

## Additional Inherited Members
Public Types inherited from TagLib::ID3v2::AttachedPictureFrame
enum | Type { Other = 0x00 , FileIcon = 0x01 , OtherFileIcon = 0x02 , FrontCover = 0x03 , BackCover = 0x04 , LeafletPage = 0x05 , Media = 0x06 , LeadArtist = 0x07 , Artist = 0x08 , Conductor = 0x09 , Band = 0x0A , Composer = 0x0B , Lyricist = 0x0C , RecordingLocation = 0x0D , DuringRecording = 0x0E , DuringPerformance = 0x0F , MovieScreenCapture = 0x10 , ColouredFish = 0x11 , Illustration = 0x12 , BandLogo = 0x13 , PublisherLogo = 0x14 }
Public Member Functions inherited from TagLib::ID3v2::AttachedPictureFrame
| AttachedPictureFrame ()
| AttachedPictureFrame (const ByteVector &data)
virtual | ~AttachedPictureFrame ()
virtual String | toString () const
String::Type | textEncoding () const
void | setTextEncoding (String::Type t)
String | mimeType () const
void | setMimeType (const String &m)
Type | type () const
void | setType (Type t)
String | description () const
void | setDescription (const String &desc)
ByteVector | picture () const
void | setPicture (const ByteVector &p)
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
ByteVector | frameID () const
unsigned int | size () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
virtual String | toString () const =0
ByteVector | render () const
TAGLIB_DEPRECATED | Header (const ByteVector &data, bool synchSafeInts)
| Header (const ByteVector &data, unsigned int version=4)
virtual | ~Header ()
TAGLIB_DEPRECATED void | setData (const ByteVector &data, bool synchSafeInts)
void | setData (const ByteVector &data, unsigned int version=4)
ByteVector | frameID () const
void | setFrameID (const ByteVector &id)
unsigned int | frameSize () const
void | setFrameSize (unsigned int size)
unsigned int | version () const
void | setVersion (unsigned int version)
bool | tagAlterPreservation () const
void | setTagAlterPreservation (bool discard)
bool | fileAlterPreservation () const
bool | readOnly () const
bool | groupingIdentity () const
bool | compression () const
bool | encryption () const
bool | unsynchronisation () const
bool | dataLengthIndicator () const
ByteVector | render () const
TAGLIB_DEPRECATED bool | frameAlterPreservation () const
Static Public Member Functions inherited from TagLib::ID3v2::Frame
static Frame * | createTextualFrame (const String &key, const StringList &values)
static unsigned int | headerSize ()
static unsigned int | headerSize (unsigned int version)
static ByteVector | textDelimiter (String::Type t)
static unsigned int | size ()
static unsigned int | size (unsigned int version)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static String::Type | checkEncoding (const StringList &fields, String::Type encoding)
static String::Type | checkEncoding (const StringList &fields, String::Type encoding, unsigned int version)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
static String | keyToTXXX (const String &)
static String | txxxToKey (const String &)
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)
Protected Attributes inherited from TagLib::ID3v2::AttachedPictureFrame
AttachedPictureFramePrivate * | d

## Detailed Description

support for ID3v2.2 PIC frames

## Member Function Documentation

## ◆ parseFields()

virtual void TagLib::ID3v2::AttachedPictureFrameV22::parseFields | ( | const ByteVector & | data | ) |
| protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Reimplemented from TagLib::ID3v2::AttachedPictureFrame.

## Friends And Related Function Documentation

## ◆ FrameFactory

friend class FrameFactory
| friend

The documentation for this class was generated from the following file:

- attachedpictureframe.h